Subject: Re: Query on git commit amend

From: Vijay Lakshminarayanan <[email-masked]>
Date: Wed, 07 Dec 2011 07:48:09 +0530

Jeff King <[email-masked]> writes:

> On Tue, Dec 06, 2011 at 09:16:18PM +0530, Vijay Lakshminarayanan wrote:
>
>> I've found 
>> 
>> $ GIT_EDITOR=cat git commit --amend
>> 
>> useful.
>> 
>> The benefit of this technique is that it even works for git-rebase -i.
>
> I sometimes do a similar thing, but I don't use "cat". That will dump
> all of the log message (including the generated template) to stdout
> (i.e., the terminal), which is quite noisy. Instead, I use:
>
>   GIT_EDITOR=true git commit --amend
>
> which silently leaves the file untouched.

Thanks Peff.  I didn't know about true.  I will use it when rebasing.
cat's noisiness is useful as a review of the output.

> -Peff

-- 
Cheers
~vijay

Gnus should be more complicated.